# -*- coding: utf-8 -*-

from utils.redis.connect import r
from utils.redis.rkeys import MEMBER_SHOT_DATA


def update_member_shot_data():
    from member.models import ShotTypeInfo
    shots_types = ShotTypeInfo.objects.filter(status=True).order_by('position')
    shots_types = [st.data for st in shots_types]
    r.setjson(MEMBER_SHOT_DATA, shots_types)
    return shots_types


def get_member_shot_data():
    return r.getjson(MEMBER_SHOT_DATA) or update_member_shot_data()
